atomic_base.h File Reference

Go to the source code of this file.

## Classes

struct | std::atomic_flag

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_atomic_flag_test
#define | __cpp_lib_atomic_value_initialization
#define | ATOMIC_FLAG_INIT
#define | ATOMIC_VAR_INIT(_VI)

## Typedefs

typedef unsigned char | std::__atomic_flag_data_type

## Enumerations

enum class | std::memory_order : int { relaxed , consume , acquire , release , acq_rel , seq_cst }

## Functions

void | std::atomic_signal_fence (memory_order __m) noexcept
void | std::atomic_thread_fence (memory_order __m) noexcept
template<typename _Tp>
_Tp | std::kill_dependency (_Tp __y) noexcept
constexpr memory_order | std::operator& (memory_order __m, __memory_order_modifier __mod)
constexpr memory_order | std::operator| (memory_order __m, __memory_order_modifier __mod)

## Variables

constexpr memory_order | std::memory_order_acq_rel
constexpr memory_order | std::memory_order_acquire
constexpr memory_order | std::memory_order_consume
constexpr memory_order | std::memory_order_relaxed
constexpr memory_order | std::memory_order_release
constexpr memory_order | std::memory_order_seq_cst

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <atomic>.

Definition in file atomic_base.h.

## Macro Definition Documentation

## __cpp_lib_atomic_flag_test

#define __cpp_lib_atomic_flag_test

Definition at line 237 of file atomic_base.h.